#ifndef _KILIB_LOG_H_
#define _KILIB_LOG_H_
#include "types.h"
#ifndef __ccdoc__
namespace ki {
#endif



class String;

//=========================================================================
//@{ @pkg ki.Core //@}
//@{
//	O@\ifobOpj
//
//	AvN/IpS܂B
//	kilibƈāA[U[̃AvP[VNX
//	h邱Ƃ͏o܂B[U[̃R[h́A
//	K kmain() ƂO[o֐sJn܂B
//	AppNX̂́AHINSTANCE̊ǗsB
//@}
//=========================================================================

class Logger
{
public:

	Logger() {}
	void WriteLine( const String& str );
	void WriteLine( const TCHAR* str );
	void WriteLine( const TCHAR* str, int siz );

private:

	NOCOPY(Logger);
};

#ifdef DO_LOGGING
	#define LOGGER(str) Logger().WriteLine(TEXT(str))
#else
	#define LOGGER(x)
#endif

//=========================================================================

}      // namespace ki
#endif // _KILIB_LOG_H_
